Page MenuHomeFreeBSD

libalias: Stats are unsigned
ClosedPublic

Authored by donner on May 31 2021, 10:10 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Feb 6, 4:39 AM
Unknown Object (File)
Jan 25 2024, 8:16 AM
Unknown Object (File)
Jan 25 2024, 8:16 AM
Unknown Object (File)
Jan 4 2024, 2:35 AM
Unknown Object (File)
Dec 23 2023, 10:59 AM
Unknown Object (File)
Dec 20 2023, 2:36 AM
Unknown Object (File)
Dec 12 2023, 7:01 AM
Unknown Object (File)
Nov 29 2023, 2:08 AM

Details

Summary

Stats counters are used as unsigned valued (i.e. printf("%u")) but are
defined as signed int. This causes trouble later, so fix it early.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 39614
Build 36503: arc lint + arc unit

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Jun 19 2021, 4:22 PM
This revision was automatically updated to reflect the committed changes.